diff options
author | romkatv <roman.perepelitsa@gmail.com> | 2020-05-26 12:14:53 +0300 |
---|---|---|
committer | romkatv <roman.perepelitsa@gmail.com> | 2020-05-26 12:14:53 +0300 |
commit | 90df734bf864a2d2253221b32d3e520d144ec83a (patch) | |
tree | 5f4980aba2f98bac61205066ee7a73e0bb3e4c6e /gitstatus/mbuild | |
parent | ba6c79e277299e2e033795ade9409331bc32498c (diff) | |
parent | 6696212ddecbb5ffae8d71467518cc5651c90b3f (diff) |
Merge commit '6696212ddecbb5ffae8d71467518cc5651c90b3f'
Diffstat (limited to 'gitstatus/mbuild')
-rwxr-xr-x | gitstatus/mbuild | 15 |
1 files changed, 11 insertions, 4 deletions
diff --git a/gitstatus/mbuild b/gitstatus/mbuild index 44800917..cf4bc008 100755 --- a/gitstatus/mbuild +++ b/gitstatus/mbuild @@ -283,17 +283,24 @@ function mbuild() { print -r -- "starting build for $platform on $assets[$platform] (pid $!)" pids+=($platform $!) done + local failed=() for platform pid in $pids; do print -rn -- "$platform => " if wait $pid; then print -r -- "ok" else - print -r -- "error $?" - print -r -- "---------------------" - >&2 cat $logs/$platform - return 1 + print -r -- "error" + failed+=$platform fi done + (( $#failed )) || return 0 + print + print -r -- "Error logs:" + print + for platform in $failed; do + print -r -- " $platform => $logs/$platform" + done + return 1 } # Copied from https://github.com/romkatv/run-process-tree. |